Subject: Re: bug#15465: CC-mode misaligns enums that implement an interface in Java

From: Alan Mackenzie <[email-masked]>
Date: Sun, 20 Oct 2013 14:37:07 +0000

Hello, Paul.

On Mon, Oct 14, 2013 at 11:19:39AM +0200, Paul Pogonyshev wrote:
> Um, it seems to be worse than before. I guess your first patch worked
> better, at least for my cases.

> E.g. now I have:

> public enum X implements Y, Z
> {
>     A,
>         B;
> }

Ah, yes, comma separated lists.  I've committed another fix, revision
#114729, that perhaps gets it right now.  Would you please do the usual.

> On a side note, enum methods (and constructors --- yes, enums can
> optionally have those) are fontified as variable names, though that is of
> course less important than indentation.

It still needs to be fixed.  Thanks for the pointer.

> Paul

-- 
Alan Mackenzie (Nuremberg, Germany).